<?xml version="1.0"?>
<launch>
  <param name="robot_description" command="$(find xacro)/xacro $(find mastering_ros_robot_description_pkg)/urdf/seven_dof_arm.xacro" />

  <!-- running teleop key in xterm -->
  <node
    pkg="turtlesim"
    type="turtle_teleop_key"
    name="teleop_control"
    required="true"
    launch-prefix="xterm -e"
  >
      <!-- Remap name turtle1/cmd_vel-->
      <remap
        from="turtle1/cmd_vel"
        to="teleop_values"
      />
  </node>

  <!-- Starting joint publisher node which will publish the joint values -->
  <node
    pkg="urdf_tutorial"
    type="urdf_tutorial_arm"
    name="joint_publisher"
    launch-prefix="xterm -e"
  />

  <!-- Starting robot state publish which will publish tf -->
  <node
    name="robot_state_publisher"
    pkg="robot_state_publisher"
    type="robot_state_publisher"
  />

  <!-- Launch visualization in rviz -->
  <node
    name="rviz"
    pkg="rviz"
    type="rviz"
    args="-d $(find mastering_ros_robot_description_pkg)/urdf.rviz"
    required="true"
  />
</launch>
